Subject: bug#7260: 24.0.50; DEL screwed up

From: Richard Stallman <[email-masked]>
Date: Sat, 23 Oct 2010 03:46:15 -0400

I wasn't present when the discussion to make `C-x C-x' do these things
    took place, but it seems like the current behaviour conflates to rather
    different actions -- exchange-point-and-mark, and activate-region.

Combining the two actions was very convenient before the recent
change to C-d and DEL.  The problem has happened to me in fact
after C-x C-x, but I suspect it will also happen in other cases.

    It sounds rather odd to have `C-d' not delete the active region.  If
    you (for instance) Shift-Right an area, and then press `DEL', I think
    most people would expect the region you've just selected to be deleted.

After shift-arrows is a special case when it might be proper for DEL
and C-d to delete the region.

-- 
Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org, www.gnu.org